Bug 428793 - (xhtml2fo-style-xsl) Review Request: xhtml2fo-style-xsl - Antenna House, Inc. XHTML to XSL:FO stylesheets
Review Request: xhtml2fo-style-xsl - Antenna House, Inc. XHTML to XSL:FO styl...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Michal Marciniszyn
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 145140
  Show dependency treegraph
 
Reported: 2008-01-15 05:49 EST by Ismael Olea
Modified: 2014-02-10 18:03 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-13 03:43:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mmarcini: fedora‑review+
huzaifas: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ismael Olea 2008-01-15 05:49:08 EST
This is my first package and I need a sponsor.

Spec URL: http://olea.org/tmp/xhtml2fo-style-xsl.spec
SRPM URL: http://olea.org/paquetes-rpm/xhtml2fo-style-xsl-20050106-1.src.rpm
Description:
These XSL stylesheets allow you to transform any XHTML document to FO.
With a XSL:FO processor you could create PDF versions of XHTML documents.
Comment 1 Ismael Olea 2008-01-15 05:56:45 EST
FYI: I've have another new request on
https://bugzilla.redhat.com/show_bug.cgi?id=428798
Comment 2 Jason Tibbitts 2008-01-15 16:36:35 EST
The spec link seems to be invalid.
Comment 3 Ismael Olea 2008-01-15 18:46:39 EST
spec link fixed, thanks.
Comment 4 Ondrej Vasik 2008-01-16 15:30:43 EST
Few things I see without rpmlint check: 
1) License should be rpmlint valid, from xsl files I think correct one could be
License: Freely redistributable without restriction
2) Because of /usr/bin/xmlcatalog usage in post and postun you have to add
Requires: libxml2 (maybe only Requires(post):libxml2 , Requires(postun):libxml2) 
3) Build root has to follow packaging guidelines (for example could be 
   BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
4) PreReq: are obsolete, should be changed to Requires:
5) One small suggestion is to drop version and release from directory - it will
cleanup the directory structure and is safe - removal from catalog is done only
when removing package. Modified %postun will look like:
%postun
# remove entries only on removal of package
if [ "$1" = 0 ]; then
  CATALOG=%{_sysconfdir}/xml/catalog
  %{_bindir}/xmlcatalog --noout --del \
  "file://%{_datadir}/sgml/docbook/xhtml2fo-stylesheets/xhtml2fo.xsl" $CATALOG
fi
Comment 5 Ondrej Vasik 2008-01-16 15:32:45 EST
sorry for typo in postun, of course I meant
"file://%{_datadir}/sgml/xhtml1/xhtml2fo-stylesheets/xhtml2fo.xsl" $CATALOG
Comment 6 Ismael Olea 2008-01-17 14:08:07 EST
(In reply to comment #4)
> Few things I see without rpmlint check: 
> 1) License should be rpmlint valid, from xsl files I think correct one could be

Ok, I've used an old rpmlint

> 2) Because of /usr/bin/xmlcatalog usage in post and postun you have to add
> Requires: libxml2 (maybe only Requires(post):libxml2 , Requires(postun):libxml2) 

I understand, but seems rpmlint doesn't agree :-)

[olea@lisergia 2008]$ rpmlint -iv
/usr/src/redhat/RPMS/noarch/xhtml2fo-style-xsl-20051222-1.noarch.rpm
xhtml2fo-style-xsl.noarch: I: checking

xhtml2fo-style-xsl.noarch: E: explicit-lib-dependency libxml2
You must let rpm find the library dependencies by itself. Do not put unneeded
explicit Requires: tags.

xhtml2fo-style-xsl.noarch: E: explicit-lib-dependency libxml2
You must let rpm find the library dependencies by itself. Do not put unneeded
explicit Requires: tags.

> 3) Build root has to follow packaging guidelines (for example could be 
>    BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Ok

> 4) PreReq: are obsolete, should be changed to Requires:

Ok

> 5) One small suggestion is to drop version and release from directory - it will
> cleanup the directory structure and is safe - removal from catalog is done only
> when removing package. 

I don't have preference. Probably I've only copied the style from
docbook-xsl-stylesheets.spec

> Modified %postun will look like:
> %postun
> # remove entries only on removal of package
> if [ "$1" = 0 ]; then
>   CATALOG=%{_sysconfdir}/xml/catalog
>   %{_bindir}/xmlcatalog --noout --del \
>   "file://%{_datadir}/sgml/docbook/xhtml2fo-stylesheets/xhtml2fo.xsl" $CATALOG
> fi

I not understand how exactly the $1 variable works there, but if you are sure, I
don't have the problem for changing it.

Revised versions:
Spec URL: http://olea.org/tmp/xhtml2fo-style-xsl.spec
SRPM URL: http://olea.org/paquetes-rpm/xhtml2fo-style-xsl-20051222-1.src.rpm
Comment 7 Michal Marciniszyn 2008-08-22 10:55:50 EDT
From my point of view, the package is good to go to fedora.
Comment 8 Ismael Olea 2008-08-22 11:03:55 EDT
(In reply to comment #7)
> From my point of view, the package is good to go to fedora.

Thanks.

What should be the next step?
Comment 9 Jason Tibbitts 2008-08-22 11:17:08 EDT
Well, the next step would be for a sponsor to do a complete review of this package and sponsor you.  But most sponsors will want to see some additional work.  Perhaps you could consult http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored and the master document at http://fedoraproject.org/wiki/PackageMaintainers/Join for more information.
Comment 10 Ismael Olea 2008-09-17 16:32:59 EDT
New Package CVS Request
=======================
Package Name:      xhtml2fo-style-xsl.spec
Short Description: Antenna House, Inc. XHTML to XSL:FO stylesheets
Owners:            olea
Branches:          F-8 F-9
InitialCC:         mtasaka
Comment 11 Ismael Olea 2008-09-17 16:40:03 EDT
New Package CVS Request
=======================
Package Name:      xhtml2fo-style-xsl
Short Description: Antenna House, Inc. XHTML to XSL:FO stylesheets
Owners:            olea
Branches:          F-8 F-9
InitialCC:         mtasaka
Comment 12 Huzaifa S. Sidhpurwala 2008-09-18 00:03:00 EDT
cvs done
Comment 13 Ismael Olea 2008-10-05 22:10:01 EDT
cvs updated, but I generated a problem. I added an extra and wrong tag 
xhtml2fo-style-xsl-20051222-1 and koji gets mad trying to compile. 

I've tried to remove the tag without success.  I'm sorry. for the other packages I've followed the precise process and things worked fine. It's my fault :-/
Comment 14 Ismael Olea 2008-10-06 13:48:48 EDT
[olea@lisergia xhtml2fo-style-xsl]$ cd devel/
[olea@lisergia devel]$ cvs tag  -d xhtml2fo-style-xsl-20051222-1 
ERROR: Tag removal not allowed for tag xhtml2fo-style-xsl-20051222-1
cvs tag: Pre-tag check failed
cvs [tag aborted]: correct the above errors first!


This tag prevents koji to build it for f-8 and f-9. Any suggestion?
Comment 15 Ondrej Vasik 2008-10-07 04:25:44 EDT
Use following in the spec file:
Release: 1%{?dist}

This will make tags for F8 and F9 branch different.
Comment 16 Ondrej Vasik 2008-10-07 04:27:24 EDT
Just as a note - devel branch (or better said any higher branch of Fedora - should have the same or higher release number to prevent misinterpreted updates.
Comment 17 Ismael Olea 2008-10-12 17:35:11 EDT
Pushed into bodhi.

Thanks for the tip!
Comment 18 Ismael Olea 2008-10-13 03:43:59 EDT
I think is fine to close now with the «NEXTRELEASE» tag.

Note You need to log in before you can comment on or make changes to this bug.